package com.ruoyi.powerdistribution.domain.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.List;

@Data
public class ConstructTeam {
    @ExcelProperty(index =0)
    private String countyOrgNm;
    @ExcelProperty(index =1)
    private String teamNm;
    @ExcelProperty(index =2)
    private String legalPerson;
    /** 法人联系电话号码 */
    @ExcelProperty(index =3)
    private String legalContactPhone;

    /** 施工小组序号 */
    @ExcelProperty(index =4)
    private String teamSerialNo;

    /** 施工小组负责人 */
    @ExcelProperty(index =5)
    private String teamLeader;

    /** 施工小组负责人电话号码 */
    @ExcelProperty(index =6)
    private String teamLeaderPhone;

    //施工小组人员类型
    @ExcelProperty(index =7)
    private String constructPersonType;

    /** 施工人员姓名 */
    @ExcelProperty(index =8)
    private String constructPersonnelName;

    /** 施工人员联系电话号码 */
    @ExcelProperty(index =9)
    private String constructPersonnelPhone;

    /** 施工小组作业车牌号 */
    @ExcelProperty(index =10)
    private String carNumber;

    /** 驻点位置 */
    @ExcelProperty(index =11)
    private String arrestPoint;
}
