package com.ruoyi.powerdistribution.domain.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 工程相关作业统计
 */
@Data
public class WorkPlanStatistics {

    /**
     * 项目ID
     */
    private String projId;
    /**
     * 10千伏电缆作业数量
     */
    private BigDecimal lineCableNewAccuQtWork;
    /**
     * 10千伏架空作业数量
     */
    private BigDecimal lineOverhdNewAccuQtWork;
    private BigDecimal distTransNewAccuQtWork;
    private BigDecimal lowVoltLineAccuQtWork;
    private BigDecimal towerAccuQtWork;
    private BigDecimal ringCabinetAccuQtWork;
    private BigDecimal poleTabAccuQtWork;

    /**
     * 关联作业总数
     */
    private BigDecimal workTotal;


    /**
     * 查询开始时间
     */
    private String startDate;

    /**
     * 查询结束时间
     */
    private String endDate;


}
