package com.ruoyi.powerdistribution.mapper;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmWorkCompleStatisticsTmp;

/**
 * 工程量完成情况临时Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-11
 */
public interface PdmWorkCompleStatisticsTmpMapper
{
    /**
     * 查询工程量完成情况临时
     *
     * @param id 工程量完成情况临时主键
     * @return 工程量完成情况临时
     */
    public PdmWorkCompleStatisticsTmp selectPdmWorkCompleStatisticsTmpById(String id);

    /**
     * 查询工程量完成情况临时列表
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 工程量完成情况临时集合
     */
    public List<PdmWorkCompleStatisticsTmp> selectPdmWorkCompleStatisticsTmpList(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp);

    /**
     * 新增工程量完成情况临时
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 结果
     */
    public int insertPdmWorkCompleStatisticsTmp(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp);

    /**
     * 修改工程量完成情况临时
     *
     * @param pdmWorkCompleStatisticsTmp 工程量完成情况临时
     * @return 结果
     */
    public int updatePdmWorkCompleStatisticsTmp(PdmWorkCompleStatisticsTmp pdmWorkCompleStatisticsTmp);

    /**
     * 删除工程量完成情况临时
     *
     * @param id 工程量完成情况临时主键
     * @return 结果
     */
    public int deletePdmWorkCompleStatisticsTmpById(String id);

    /**
     * 批量删除工程量完成情况临时
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmWorkCompleStatisticsTmpByIds(String[] ids);
}
