package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 负责人积分排名对象 pdm_score_rank_manager
 *
 * @author ruoyi
 * @date 2024-12-05
 */
@Data
public class PdmScoreRankManagerYearOut
{
    /** 统计年 */
    @Excel(name = "统计年")
    private String reportYear;

    /** 作业单位名称 */
    @Excel(name = "单位名称")
    private String companyName;

    /** 负责人名称 */
    @Excel(name = "负责人名称")
    private String managerName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

}
