package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.AdsCstHywzqlcPdmmaintenanceprocessmonthWf;
import com.ruoyi.powerdistribution.domain.dto.AdsCstHywzqlcPdmmaintenanceprocessmonthWfDTO;

/**
 * 月计划明细Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IAdsCstHywzqlcPdmmaintenanceprocessmonthWfService
{
    /**
     * 查询月计划明细
     *
     * @param pkId 月计划明细主键
     * @return 月计划明细
     */
    public AdsCstHywzqlcPdmmaintenanceprocessmonthWf selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(String pkId);

    /**
     * 查询月计划明细列表
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 月计划明细集合
     */
    public List<AdsCstHywzqlcPdmmaintenanceprocessmonthWf> selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfList(AdsCstHywzqlcPdmmaintenanceprocessmonthWfDTO adsCstHywzqlcPdmmaintenanceprocessmonthWf);

    /**
     * 新增月计划明细
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    public int insertAdsCstHywzqlcPdmmaintenanceprocessmonthWf(AdsCstHywzqlcPdmmaintenanceprocessmonthWf adsCstHywzqlcPdmmaintenanceprocessmonthWf);

    /**
     * 修改月计划明细
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    public int updateAdsCstHywzqlcPdmmaintenanceprocessmonthWf(AdsCstHywzqlcPdmmaintenanceprocessmonthWf adsCstHywzqlcPdmmaintenanceprocessmonthWf);

    /**
     * 批量删除月计划明细
     *
     * @param pkIds 需要删除的月计划明细主键集合
     * @return 结果
     */
    public int deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkIds(String[] pkIds);

    /**
     * 删除月计划明细信息
     *
     * @param pkId 月计划明细主键
     * @return 结果
     */
    public int deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(String pkId);
}
