package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.powerdistribution.domain.dto.AdsCstHywzqlcPdmmaintenanceprocessmonthWfDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.AdsCstHywzqlcPdmmaintenanceprocessmonthWfMapper;
import com.ruoyi.powerdistribution.domain.AdsCstHywzqlcPdmmaintenanceprocessmonthWf;
import com.ruoyi.powerdistribution.service.IAdsCstHywzqlcPdmmaintenanceprocessmonthWfService;

/**
 * 月计划明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class AdsCstHywzqlcPdmmaintenanceprocessmonthWfServiceImpl implements IAdsCstHywzqlcPdmmaintenanceprocessmonthWfService
{
    @Autowired
    private AdsCstHywzqlcPdmmaintenanceprocessmonthWfMapper adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper;

    /**
     * 查询月计划明细
     *
     * @param pkId 月计划明细主键
     * @return 月计划明细
     */
    @Override
    public AdsCstHywzqlcPdmmaintenanceprocessmonthWf selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(String pkId)
    {
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(pkId);
    }

    /**
     * 查询月计划明细列表
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 月计划明细
     */
    @Override
    public List<AdsCstHywzqlcPdmmaintenanceprocessmonthWf> selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfList(AdsCstHywzqlcPdmmaintenanceprocessmonthWfDTO adsCstHywzqlcPdmmaintenanceprocessmonthWf)
    {
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.selectAdsCstHywzqlcPdmmaintenanceprocessmonthWfList(adsCstHywzqlcPdmmaintenanceprocessmonthWf);
    }

    /**
     * 新增月计划明细
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    @Override
    public int insertAdsCstHywzqlcPdmmaintenanceprocessmonthWf(AdsCstHywzqlcPdmmaintenanceprocessmonthWf adsCstHywzqlcPdmmaintenanceprocessmonthWf)
    {
        adsCstHywzqlcPdmmaintenanceprocessmonthWf.setCreateTime(DateUtils.getNowDate());
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.insertAdsCstHywzqlcPdmmaintenanceprocessmonthWf(adsCstHywzqlcPdmmaintenanceprocessmonthWf);
    }

    /**
     * 修改月计划明细
     *
     * @param adsCstHywzqlcPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    @Override
    public int updateAdsCstHywzqlcPdmmaintenanceprocessmonthWf(AdsCstHywzqlcPdmmaintenanceprocessmonthWf adsCstHywzqlcPdmmaintenanceprocessmonthWf)
    {
        adsCstHywzqlcPdmmaintenanceprocessmonthWf.setUpdateTime(DateUtils.getNowDate());
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.updateAdsCstHywzqlcPdmmaintenanceprocessmonthWf(adsCstHywzqlcPdmmaintenanceprocessmonthWf);
    }

    /**
     * 批量删除月计划明细
     *
     * @param pkIds 需要删除的月计划明细主键
     * @return 结果
     */
    @Override
    public int deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkIds(String[] pkIds)
    {
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkIds(pkIds);
    }

    /**
     * 删除月计划明细信息
     *
     * @param pkId 月计划明细主键
     * @return 结果
     */
    @Override
    public int deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(String pkId)
    {
        return adsCstHywzqlcPdmmaintenanceprocessmonthWfMapper.deleteAdsCstHywzqlcPdmmaintenanceprocessmonthWfByPkId(pkId);
    }
}
